

namespace GMLL00ImportadorXsd.Logica
{
    using System;
    using System.Collections.Generic;

    using System.Text;
    using Negocio;

    public class ConexionBbdd
    {
        string CadenaConexion = string.Empty;

        public ConexionBbdd(DatosConexionBbdd objConexionBbdd)
        {
            //String para cadena de conexion
            StringBuilder sCadena = new StringBuilder("");
            sCadena.Append("Server=<SERVIDOR>;");
            sCadena.Append("Port=<PUERTO>;");
            sCadena.Append("Database=<BBDD>;");
            sCadena.Append("User Id=<USER>;");
            sCadena.Append("Password=<PASSWORD>;");
            sCadena.Replace("<SERVIDOR>", Convert.ToString(objConexionBbdd.Servidor, null));
            sCadena.Replace("<PUERTO>", Convert.ToString(objConexionBbdd.Puerto, null));
            sCadena.Replace("<BBDD>", Convert.ToString(objConexionBbdd.NombreBbdd, null));
            sCadena.Replace("<USER>", Convert.ToString(objConexionBbdd.Usuario, null));
            sCadena.Replace("<PASSWORD>", Convert.ToString(objConexionBbdd.Password, null));

            CadenaConexion = Convert.ToString(sCadena, null);

        }
        public string ObtenerCadenaConexion()
        {
            return CadenaConexion;
        }

        public bool ProbandoConexion()
        {
            bool conectado = false;
            DAO.ConectaBbdd ObjConexion = new DAO.ConectaBbdd(ObtenerCadenaConexion());
            conectado = ObjConexion.PruebaConexion();
            return conectado;
        }
    }
}
